Return to Level1Techs.com

Running DaVinci Resolve 15 Beta on Ubuntu with AMD GPUs


#1

Has anyone here got DaVinci Resolve 15 beta to run on Ubuntu 18.04 with AMD GPUs? I keep getting segfaults (I’ll post some logs later). The setup runs fine, but when that’s over, the application just segfaults. I used makeresolvedeb to install DaVinci Resolve on Ubuntu.


#2

a) resolve only supports intel and CUDA acceleration officially on linux, their centos spin even ships with nvidia drivers baked in.

b) you should probably use an RHEL derivative if you want official support, as well as sticking to the stabe versions of the software


#3

Aww, I’ve also tried the 14.3 stable release with no luck there either. I’ve just been on Ubuntu forever, and all my stuff is around it, I’d rather not switch distros just for one program.


#4

to be fair most of the busted stuff you have to tweak in ubuntu is fine elsewhere

but yeah that’s the state of things on linux for multimedia production

resolve? centos.

maya? smoke? flame? nuke? fusion? centos.

there’s always lightworks though (I think they ship a deb?)


#5

If you’re looking to get Resolve running on Ubuntu, this might help you get an idea of the dependencies. Otherwise, the official Blackmagic forums are probably the best place to get help and seem to always have long threads of people trying to get Resolve working on their Linux systems.


#6

Agreed, they’re great. In fact: angry, entitled ubuntu users are probably the only negative element on those forums.

Use the supported platform if you want support.


#7

To be fair, people seem to have plenty of problems even on CentOS. It seems like BMD should really do two things - make a separate Linux support forum, and offer an AppImage or Flatpak. I imagine offering the latter would clear up 90% of the issues users have.


#8

works great on Centos if you use the image they provide with the proper adjustments made. If you don’t, then you need to read the doc and make the 2 tweaks it tells you to make.

All the other issues are from the beta version QA process, which gets worse every time someone makes an unofficial port to another distro, because BMD have made it clear they will only be supporting centos, and it reduces the signal to noise ratio.

if for no other reason than toxic containment, yes.

lmao

the reason commercial vendors are’t using these is specifically because they don’t want to validate for a massive constellation of distros, or drag their QA process back into the 90’s from all the linking madness.

The concepts behind flatpak etc. aren’t new, and the reason .runs are the standard is because it lets the vendor set the support terms.

The entitled mentality that they should support your particular anachronisms is the reason CDPR won’t be making linux ports of any of their games any more, and the reason every serious commercial vendor generally just sticks to centos/RHEL, then extends to debian based stuff as an afterthought if they get enough attention.


#9

I’m running on a Ryzen 2400G. Davinci 15 was segfaulty on Arch Linux with the latest kernel and drivers (as of last month). I’m running Win 10 now on the same box and I’m still getting sudden crashes. Doesn’t seem to be a solely Linux problem.


#10

raven ridge isn’t yet fully supported on linux, arch or otherwise. Also, arch isn’t supported (nor is AMDGPU on the linux version of resolve.) You shouldn’t expect it to work.


#11

@tkoham I literally never expect anything to work.


#12

my point is that if you’re not on centos or rhel, you aren’t in the range of BMD supported distros, and if you aren’t using the nv blobs with an nv gpu, you’re also not in that range.

BMD has taken care to make this clear on every release of their product and people still flood their forums whining about it not working on slackware or whatever. It’s made finding actual answers for the supported distros and hardware increasingly difficult.

At this point we’re in danger of souring them to linux support outside of render farms if people keep harassing them with “I can’t get it working on puppylinux and you guys should support an appimage so that I can use resolve on my nokia ngage”


#13

I’ve seen you throw around “slackware” and “puppylinux” which seems not only dismissive (your Internet prerogative) but also rather disingenuous since by far the most popular desktop Linux platform is Ubuntu, and just at a quick glance, that seems to account for most of the support posts as well.

BMD sells Resolve at a prosumer price point and if Linux support is a selling point, they should support what most Linux users use, and if they don’t, well, it’s better for them to know that a big part of the problem is because they haven’t released a piece of software that most Linux users can actually even get running. Also, I don’t know why they’d be annoyed since it seems like largely, they simply ignore the threads on their forums. /rimshot


#14

That’s not how this works.

If you want to use a product, you’re expected to read the instructions that come in the box before starting it up. “Point aerosol away from face” and so on.

Resolve has excellent documentation, and they’re very clear about what range of distros and hardware they support. Expecting it to work and to get support when you’re using it outside that range is entitled and gives the rest of their linux install base bad optics.

Those of us that actually read the instructions on the tin are getting our support put in jeopardy because a bunch of people who can’t want resolve to be something it isn’t.

Before version 12 came out I could get good feedback from people, and then the idiots started to come in and blast the linux threads with support questions specific to nonsupported configurations. you can only tell people to use a supported distro or GPU so many times before anything useful gets drowned out.

Centos/RHEL is the primary supported distro for every other commercial 3d and vfx software in the first place, if you have a multimedia workstation on linux you’re probably going to need to use it.